Skip to main content
`Ctrl`+`K`

# RGIsTrivial

Whether it is the trivial region (whole complex plane).

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGIsTrivial(RG rg,PetscBool *trivial)

Not Collective

## Input Parameter

- rg - the region context

## Output Parameter

- trivial - true if the region is equal to the whole complex plane, e.g., an interval region with all four endpoints unbounded or an ellipse with infinite radius.

## See Also

RG: Region, `RGCheckInside()`

## Level

beginner

## Location

src/sys/classes/rg/interface/rgbasic.c

## Implementations

RGIsTrivial_Ellipse() in src/sys/classes/rg/impls/ellipse/rgellipse.c
RGIsTrivial_Interval() in src/sys/classes/rg/impls/interval/rginterval.c
RGIsTrivial_Polygon() in src/sys/classes/rg/impls/polygon/rgpolygon.c
RGIsTrivial_Ring() in src/sys/classes/rg/impls/ring/rgring.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages